program fjf419;

var
  i : Integer;
  p : ^String;

begin
  New (p, 1000000);
  {$X+} SetLength (p^, 1000000); {$X-}
  for i := 1 to 100 do
    if p^ + p^ <> p^ + p^ then
      begin
        WriteLn ('failed');
        Halt
      end;
  WriteLn ('OK')
end.
